<script setup lang="ts">
import { useCustomerStore } from '@/stores/customer'
import { useLoadingStore } from '@/stores/loading'
import { useReceiptStore } from '@/stores/receipt';
import { ref, nextTick, onMounted } from 'vue'
import type { VForm } from 'vuetify/components'
const customerStore = useCustomerStore()
const loadingStore = useLoadingStore()
const receiptStore = useReceiptStore()

const refForm = ref<VForm | null>(null)
onMounted(async () => {
  await customerStore.getCustomers()
})

function checkChange(){
  if(receiptStore.receipt.PaymentType == 'Cash'){
    if(receiptStore.receipt.receivedAmount - receiptStore.receipt.total < 0){
    return true
  }else{
    return false
  }
  }
  

}


</script>

<template>
  <v-dialog v-model="receiptStore.paymentDialog" persistent width="512">
    <v-card>
      <v-card-title>
        <span class="text-h5" style=" font-weight: bold;">Payment</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="customerStore.form" @submit.prevent="customerStore.onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12" sm="12" md="12">
                <div style="font-size: 18px;">
                  <h>Payment Method : {{ receiptStore.receipt.PaymentType }}</h>
                </div>
                </v-col>
                <v-col cols="12" md="12" sm="4" v-if="receiptStore.receipt.PaymentType== 'QRcode'">
                <v-img :src="'public/img/QRcode/qrcode_105476260_60f0506aa1806113c9bce2af89e6aeef.png'" height="200"></v-img>
              </v-col>
              <v-col cols="12" sm="12" md="12">
                <div style="font-size: 18px;">
                  <h>Total : {{ receiptStore.receipt.total }}</h>
                </div>
              </v-col>
              
              <v-col cols="12" sm="4" v-if="receiptStore.receipt.PaymentType == 'Cash'">
                <div style="font-size: 18px;">
                  <h> Change : {{  receiptStore.receipt.receivedAmount - receiptStore.receipt.total  }}</h>
                </div>
              </v-col>
              <v-col cols="12" md="12" sm="4" v-if="receiptStore.receipt.PaymentType != 'Cash'">
                <div style="font-size: 18px;">
                  <h> Change : 0 </h>
                </div>
              </v-col>
              <v-col cols="12" sm="12" md="12" v-if="receiptStore.receipt.PaymentType== 'Cash'">
                <v-text-field
                  v-model="receiptStore.receipt.receivedAmount"
                  :readonly="loadingStore.isLoading"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Received Amount"
                >
                </v-text-field>
              </v-col>
              
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="receiptStore.showReceiptDialog(),receiptStore.closePaymentDialog()" :disabled="checkChange()"> ยืนยัน </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="receiptStore.closePaymentDialog()">
          ยกเลิก
        </v-btn>
        
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
